For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList duet voices
      • POSTCreate custom duet voice
      • PUTUpdate duet voice
      • DELDelete duet voice
      • GETList duet voice pairs
      • POSTCreate duet voice pair
      • POSTGenerate duet
Status
LogoLogo
API ReferenceDuets

Create duet voice pair

POST
https://app.resemble.ai/api/v2/duet_voice_pairs
POST
/api/v2/duet_voice_pairs
$curl -X POST https://app.resemble.ai/api/v2/duet_voice_pairs \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "voice_1_id": 1,
> "voice_2_id": 1
>}'
200Successful
1{
2 "success": true,
3 "item": {}
4}
Create a voice pair for duet generation
Was this page helpful?
Previous

Generate duet

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects an object.
voice_1_idintegerRequired
ID of first voice
voice_2_idintegerRequired
ID of second voice
namestringOptional
Optional pair name

Response

Voice pair created
successboolean
itemobject